org.springframework.data.util

## Class ProxyUtils

- java.lang.Object
- - org.springframework.data.util.ProxyUtils

    public abstract class ProxyUtils
    extends Object

Proxy type detection utilities, extensible via `ProxyUtils.ProxyDetector` registered via Spring factories.

Author:
  Oliver Gierke

### Nested Class Summary

Nested Classes
`static interface` `ProxyUtils.ProxyDetector` SPI to extend Spring's default proxy detection capabilities.

### Method Summary

All Methods Static Methods Concrete Methods
`static Class<?>` `getUserClass(Class<?> type)` Returns the user class for the given type.
`static Class<?>` `getUserClass(Object source)` Returns the user class for the given source object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getUserClass

    public static Class<?> getUserClass(Class<?> type)

Returns the user class for the given type.

Parameters:
  `type` - must not be null.
Returns:

#### getUserClass

    public static Class<?> getUserClass(Object source)

Returns the user class for the given source object.

Parameters:
  `source` - must not be null.
Returns: